libglom-1.32 1.31.6

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glom::AppState Class Reference

There is one instance per document. More...

## Public Types
enum | userlevels { userlevels::OPERATOR, userlevels::DEVELOPER }
typedef sigc::signal< void(userlevels)> | type_signal_userlevel_changed

## Public Member Functions
| AppState ()
userlevels | get_userlevel () const
| Returns whether we are in developer mode. More...
void | set_userlevel (userlevels value)
| This will cause the userlevel_changed signal to be emitted. More...
void | emit_userlevel_changed ()
| Use this to set the initial UI state: More...
type_signal_userlevel_changed | signal_userlevel_changed ()
| The user interface should handle this signal and alter itself accordingly. More...

## Detailed Description

There is one instance per document.

This is for storing volatile application state. It is not for configuration that should be the same after the application is closed and restarted - use gconf for that.

## Member Typedef Documentation

typedef sigc::signal<void(userlevels)> Glom::AppState::type_signal_userlevel_changed

## Member Enumeration Documentation

enum Glom::AppState::userlevels
| strong

Enumerator
OPERATOR |
DEVELOPER |

## Constructor & Destructor Documentation

Glom::AppState::AppState | ( |  | ) |

## Member Function Documentation

void Glom::AppState::emit_userlevel_changed | ( |  | ) |

Use this to set the initial UI state:

userlevels Glom::AppState::get_userlevel | ( |  | ) | const

Returns whether we are in developer mode.

Some functionality will be deactivated when not in developer mode.

void Glom::AppState::set_userlevel | ( | userlevels | value | ) |

This will cause the userlevel_changed signal to be emitted.

type_signal_userlevel_changed Glom::AppState::signal_userlevel_changed | ( |  | ) |

The user interface should handle this signal and alter itself accordingly.

The documentation for this class was generated from the following file:

- libglom/appstate.h